<h3 class="flex items-center cursor-pointer" routerLink="/">
    <mat-icon>arrow_back</mat-icon> Dashboard
</h3>

<ng-container *ngIf="{
    fruits: appService.fruits$ | async
} as sources">
    <ng-container *ngIf="sources.fruits && sources.fruits.length > 0; else emptyList">
        <table mat-table [dataSource]="sources.fruits" class="mat-elevation-z8 w-full">

            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef> Name </th>
              <td mat-cell *matCellDef="let element"> {{element?.name}} </td>
            </ng-container>
          
            <ng-container matColumnDef="genus">
              <th mat-header-cell *matHeaderCellDef> Genus </th>
              <td mat-cell *matCellDef="let element"> {{element?.genus}} </td>
            </ng-container>
          
            <ng-container matColumnDef="family">
              <th mat-header-cell *matHeaderCellDef> Family </th>
              <td mat-cell *matCellDef="let element"> {{element?.family}} </td>
            </ng-container>

            <ng-container matColumnDef="order">
              <th mat-header-cell *matHeaderCellDef> Order </th>
              <td mat-cell *matCellDef="let element"> {{element?.order}} </td>
            </ng-container>

            <ng-container matColumnDef="nutritions">
              <th mat-header-cell *matHeaderCellDef> Nutritions </th>
              <td mat-cell *matCellDef="let element">
                    <mat-icon class="pl-2 cursor-pointer" matTooltip="check fruit nutritions" 
                    (click)="dialog.open(nutritionsComponent, {width: '30%', data: element})">
                        launch
                    </mat-icon>
              </td>
            </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
    </ng-container>

    <ng-template #emptyList>
        <div class="flex justify-center align-center">
            <p>No fruits available!</p>
        </div>
    </ng-template>
</ng-container>